Subject: bug#36816: gcc-toolchain 9.1.0 can't link even a tiny simple C program

From: Danny Milosavljevic <[email-masked]>
Date: Fri, 26 Jul 2019 17:16:04 +0200

Hi,

so I've got a new drive and installed Guix (from the iso from the homepage) on it.

Then I ran guix pull.

Then I installed gcc-toolchain and tried to compile the following program:

int main() {
	return 42;
}

using

  gcc a.c

but I get:

ld: cannot find crt1.o: No such file or directory
ld: cannot find crti.o: No such file or directory

I tried rebooting, to no avail.

It used to work.

FWIW, I restored my $HOME from backup, but I think the per-user profiles are in
/var/guix/profiles/per-user, and I didn't restore anything in /var.